summaryrefslogtreecommitdiffstats
path: root/source/l/libjpeg/libjpeg.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libjpeg/libjpeg.SlackBuild')
-rwxr-xr-xsource/l/libjpeg/libjpeg.SlackBuild94
1 files changed, 56 insertions, 38 deletions
diff --git a/source/l/libjpeg/libjpeg.SlackBuild b/source/l/libjpeg/libjpeg.SlackBuild
index 5ec9f0164..9d43d22ea 100755
--- a/source/l/libjpeg/libjpeg.SlackBuild
+++ b/source/l/libjpeg/libjpeg.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,9 +21,20 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-6b}
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-5}
+VERSION=${VERSION:-v8a}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -38,51 +49,58 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
-# Explode the package framework:
-cd $PKG
-explodepkg $CWD/_libjpeg.tar.gz
-if [ "$ARCH" = "x86_64" ]; then
- mv usr/lib usr/lib${LIBDIRSUFFIX}
- sed -i -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#g" install/doinst.sh
-fi
-
cd $TMP
-rm -rf jpeg-6b
-tar xzvf $CWD/jpegsrc.v6b.tar.gz
-cd jpeg-6b
+rm -rf jpeg-8
+tar xvf $CWD/jpegsrc.${VERSION}.tar.?z* || exit 1
+cd jpeg-$(echo $VERSION | cut -f 2 -d v)
+
chown -R root:root .
-zcat $CWD/jpeg-6b.diff.gz | patch -p0 -E
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
export CFLAGS="$SLKCFLAGS"
./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
--libdir=/usr/lib${LIBDIRSUFFIX}
-make -j3 || exit 1
-strip cjpeg djpeg rdjpgcom wrjpgcom jpegtran
-cat cjpeg > $PKG/usr/bin/cjpeg
-cat djpeg > $PKG/usr/bin/djpeg
-cat jpegtran > $PKG/usr/bin/jpegtran
-cat rdjpgcom > $PKG/usr/bin/rdjpgcom
-cat wrjpgcom > $PKG/usr/bin/wrjpgcom
-for page in cjpeg.1 djpeg.1 jpegtran.1 rdjpgcom.1 wrjpgcom.1 ; do
- cat $page | gzip -9c > $PKG/usr/man/man1/$page.gz
-done
-strip --strip-unneeded libjpeg.so.62.0.0
-cat libjpeg.so.62.0.0 > $PKG/usr/lib${LIBDIRSUFFIX}/libjpeg.so.62.0.0
-cat libjpeg.a > $PKG/usr/lib${LIBDIRSUFFIX}/libjpeg.a
-cp -a jconfig.h jpeglib.h jmorecfg.h jerror.h $PKG/usr/include
-# KDE includes this complete header list, but the libjpeg source doesn't
-# suggest it, and we trust them. :)
-#for file in jchuff.h jdhuff.h jdct.h jerror.h jinclude.h jmemsys.h \
-# jmorecfg.h jpegint.h jpeglib.h jversion.h cdjpeg.h cderror.h jconfig.h ; do
-# cp -a $file $PKG/usr/include
-#done
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG
+
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
mkdir -p $PKG/usr/doc/libjpeg-$VERSION
-cp -a README *.doc $PKG/usr/doc/libjpeg-$VERSION
-chmod 644 $PKG/usr/doc/libjpeg-$VERSION/*
+cp -a README $PKG/usr/doc/libjpeg-$VERSION
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc